%define tarname	slixmpp

Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Name:		python-%tarname
Version:	1.8.3
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/slixmpp/
Source0:        https://pypi.io/packages/source/s/%{tarname}/%{tarname}-%{version}.tar.gz
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	python3-sphinx
BuildRequires:	python-sphinx-autodoc-typehints
BuildRequires:	pkgconfig(libidn)

%description
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%package -n python3-%tarname
Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{tarname}}

%description -n python3-%tarname
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%prep
%autosetup -p1 -n %{tarname}-%{version}

# drop bundled egg-info
rm -rf slixmpp.egg-info/

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%build
%py3_build

export PYTHONPATH=$(pwd)
%make_build -C docs
#html
%__rm -rf docs/_build/html/.buildinfo

%install
%py3_install

%files -n python3-%tarname
#doc docs/_build/html
%{python3_sitearch}/*


%changelog
* Tue Nov 29 2022 papoteur <papoteur> 1.8.3-1.mga8
+ Revision: 1912513
- update to 1.8.3 for CVE 2022-45197 (mga#31200)

* Mon Jan 18 2021 neoclust <neoclust> 1.6.0-1.mga8
+ Revision: 1672328
- imported package python-slixmpp

